build:
  image: ubuntu:18.04
  stage: build
  before_script:
    - apt-get update
    - DEBIAN_FRONTEND=noninteractive apt-get -qq -y install device-tree-compiler cpp
  script:
    - ./build.sh
  artifacts:
    paths:
      - ./switchroot/overlays/tegra210-icosa_enable_als-overlay.dtbo
      - ./switchroot/overlays/tegra210-icosa_emmc-overlay.dtbo
      - ./switchroot/overlays/tegra210-UART-B-overlay.dtbo
